#include "wx/wx.h"
#include "wx/image.h"
#include "wx/statbmp.h"
#include "wx/button.h"
#include "led_controller.h"
#include <string>

class MainFrame: public wxFrame
{
public:
	static const int LED_RED_ID = 0;
	static const int LED_YELLOW_ID = 1;

	MainFrame();
	virtual ~MainFrame();
	void OnClose(wxCloseEvent& event);
	void button_pressed(wxCommandEvent &event);
	void enter_key_pressed();
	void enter_key_released();
	void update_led_image();

private:
	wxPanel *panel;
	wxPanel *image_panel;
	wxPanel *button_panel;
	wxStaticBitmap *board_canvas;
	wxStaticBitmap *led_canvas;
	wxStaticBitmap *sw_canvas;
	wxButton *red_button;
	wxButton *yellow_button;
	LEDController led_controller;
	std::string led_images[4];
	DECLARE_EVENT_TABLE()
};

